.SomethingWentWrong {
    display: flex;
    min-height: 100vh;
    padding: 1rem;
    margin-top: 0;
    margin-bottom: 0;
    align-items: center;
    justify-content: center;
    color: $white;
    background: var(--primary-base-color);
    text-align: center;

    &-Debug {
        overflow: scroll;
        max-width: calc(100vw - 2rem);
        padding: 1rem;
        margin-top: 4rem;
        color: $white;
        background-color: #252424;
        font-family: 'Droid Sans Mono', 'monospace', monospace, 'Droid Sans Fallback';
        text-align: left;
        white-space: pre-line;
    }

    &-Button:not([disabled]) {
        border-color: var(--secondary-base-color);
        color: var(--primary-base-color);
        background-color: var(--secondary-base-color);
        font-weight: 500;

        &:hover,
        &:focus {
            border-color: var(--secondary-base-color) !important;
            color: var(--primary-base-color) !important;
            background-color: var(--secondary-base-color) !important;
        }
    }

    &-SubHeading {
        margin-bottom: 20px;
    }
}
